import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
import moment from 'moment'
import "animate.css"
import "./assets/css/global.css";
import ElementUI from 'element-ui';
import 'element-ui/lib/theme-chalk/index.css';
import 'element-ui/lib/theme-chalk/base.css';
import config from './config/config.js'
Vue.use(ElementUI)

import '../node_modules/cesium/Build/Cesium/Widgets/widgets.css';
import * as Cesium from "../node_modules/cesium/Build/Cesium/Cesium.js";
window.Cesium = Cesium;


//全局bus  组件传值
Vue.prototype.bus=new Vue();

// 加入moment所有的组件
Vue.prototype.$moment = moment;
// echarts
// import echarts from 'echarts' //引入echarts
import * as echarts from 'echarts';
import ecstat from 'echarts-stat'/*echarts统计组件*/
Vue.prototype.$ecstat = ecstat   /*echarts统计组件*/
Vue.prototype.$echarts = echarts; //引入组件
Vue.prototype.configration = config;

Vue.config.productionTip = false

window.selfDefine = {
    viewer: null
};

new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
